跳转到主要内容
存储管理/数据存储相关接口/分布式存储相关接口
GETDistributed Storage Related Interfaces起始版本 0.6同步需要认证

查询分布式存储

查询分布式存储

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

此接口无需请求参数。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoriesList必填

    详情参考inventories

    • uuidString必填

      资源的UUID,唯一标示该资源

    • zoneUuidString必填

      数据中心UUID

    • nameString必填

      资源名称

    • urlString必填

      地址。

    • descriptionString必填

      资源的详细描述

    • totalCapacityLong必填

      总容量。

    • availableCapacityLong必填

      可用容量。

    • totalPhysicalCapacityLong必填

      总物理容量。

    • availablePhysicalCapacityLong必填

      可用物理容量。

    • systemUsedCapacityLong必填

      系统已使用容量。

    • typeString必填

      类型。

    • stateString必填

      当前状态。

    • statusString必填

      状态信息。

    • mountPathString必填

      mount路径。

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

    • attachedClusterUuidsList必填

      附加集群UUID。

请求地址

GET/zstack/v1/primary-storage/ceph

/zstack/v1/primary-storage/ceph

操作 ID

QueryCephPrimaryStorage

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/primary-storage/ceph' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "inventories": [ { "name": "Ceph-1", "url": "not used", "type": "Ceph", "state": "Enabled", "status": "Connected", "attachedClusterUuids": [ "1b70bb2e338f4a278b9efadda42ad26f" ] } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史